none
.NET Framework 3.5 will not install RRS feed

  • Question

  • Hi Everyone,

    I am running Windows 8.1 on MS Surface Pro and I am trying to install Windows essentials.  When I try to install it, I get told I need to install .NET Framework 3.5 (includes .NET 2.0 and 3.0), but it will not install.  I get the error code 0x800F0906.

    Any help would be great.

    Thanks

    Paul

    Tuesday, May 13, 2014 9:07 AM

Answers

  • Hi Paul-F6589,

    .Net Framework 3.5 has been a part of windows 8.1.

    First you could follow these steps to open it.

    "Control Panel"->"Programs"->"Turn Windows features on or off" and open ".NET Framework 3.5(includes .NET 2.0 and 3.0)".

    If you still get the error code "0x800F0906", here is a article about the error.

    http://support.microsoft.com/kb/2734782

    This error code occurs because the computer cannot download the required files from Windows Update.

    It has three methods to solve the error. For more information, please go to the article.

    Method 1: Check your internet connection

    Method 2: Configure the Group Policy setting

    Method 3: Use Windows installation media

    Regards.


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Wednesday, May 14, 2014 2:03 AM

All replies

  • Hi Paul-F6589,

    .Net Framework 3.5 has been a part of windows 8.1.

    First you could follow these steps to open it.

    "Control Panel"->"Programs"->"Turn Windows features on or off" and open ".NET Framework 3.5(includes .NET 2.0 and 3.0)".

    If you still get the error code "0x800F0906", here is a article about the error.

    http://support.microsoft.com/kb/2734782

    This error code occurs because the computer cannot download the required files from Windows Update.

    It has three methods to solve the error. For more information, please go to the article.

    Method 1: Check your internet connection

    Method 2: Configure the Group Policy setting

    Method 3: Use Windows installation media

    Regards.


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Wednesday, May 14, 2014 2:03 AM
  • I have tried all 3 of those options and they don't work.  when I try to "turn on windows features" it just reverts back to the other one when I close the box.  I have searched for the "Group policy Settings" which I cant find on 8.1

    Can someone please help me I am getting the same error messages that are listed above.  I have tried the DISM fixes that everyone has suggested and they dont work

    please help

    thanks

    Tuesday, June 10, 2014 9:12 PM
  • Hi Robsgirl08,

    Could you please create a new thread in the forum? And share some more information.

    1. Can you open .net framework 3.5 through "Turn Windows features on or off"? I don't understand the meaning of "it just reverts back to the other one when I close the box.". Could you share some screenshot about it?

    2. Use the .NET Framework Setup Verification Tool to verify the installation state of .NET Framework 3.5 to get more information
    Download from :
    http://blogs.msdn.com/cfs-file.ashx/__key/CommunityServer-Components-PostAttachments/00-08-99-90-04/netfx_5F00_setupverifier_5F00_new.zip
    More information is in the blog at the following locations.
    http://blogs.msdn.com/b/astebner/archive/2008/10/13/8999004.aspx

    Please upload the verification log and screecshots to https://onedrive.live.com/ and share the link here.

    Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Wednesday, June 11, 2014 6:02 AM
  • not work, this tool only check installed NF4 - 4.5 and ofc all is ok.

    Win8.1 needs a REAL update to enable net framework 3.5, many applications even newer needs this net framework.

    Tuesday, August 26, 2014 1:01 PM
  • Microsoft has not stepped up to the plate on this issue. All of the solutions suggested in this thread and by Microsoft do not work. Ridiculous situation AND their own software will not work either - SQL Server 2014 Express for example.
    Thursday, November 27, 2014 3:20 AM